import { Injectable } from '@angular/core';
import { Http } from '@angular/http';
import { Observable } from 'rxjs/Rx';

import { Flug } from '../Modell/Flug';
import { Datengenerator } from './Datengenerator';
import { IFlugdatenProxy } from './IFlugdatenProxy';

@Injectable()
export class FlugdatenProxyTest  { // implements IFlugdatenProxy
 getAllAsObservable(): Observable<Flug[]> {
    console.log("FlugdatenProxyTest.getAll()");
  return Observable.of(new Datengenerator().getTestData());
 }
 getAllAsArray(callback: (name: Flug[]) => void) {
  console.log("FlugdatenProxyTest.getAllAsArray()");
  this.getAllAsObservable().subscribe(flugSet => { callback(flugSet); });
 }
}